# Lightbi 

Lightbi is a minimal and clean blog theme for Hugo.

🌍 [Demo site](https://lightbi-hugo-theme.netlify.app/)  
🐛 [Bug reports & Issues](https://github.com/binokochumolvarghese/lightbi-hugo/issues)  
💡 [Questions & feature requests](https://github.com/binokochumolvarghese/lightbi-hugo/discussions)  
📄 [Wiki](https://github.com/binokochumolvarghese/lightbi-hugo/wiki)

![LightBi Hugo Theme Screenshot](https://raw.githubusercontent.com/binokochumolvarghese/lightbi-hugo/master/images/screenshot.png)

## Features

### General
- Three sections for content:
    - Blog
    - Notes
    - Collections (Newsletter)
- Responsive, mobile-first design.
- Card based theme.
- Menu location indicator.
- Multilingual support. (with language selector)
- Taxonomies.
- Light/Dark theme (automatic theme switch a/c to browser theme and theme-switch button).
- Google Analytics.
- SEO Friendly.
- Commit SHA on the footer.
- Self Hosted assets for GDPR / EU-DSGVO compliance.
- Beautiful icons with Bootstrap Icons.

### Page
- Other Posts suggestion below a post
- Social-Media Share buttons on posts.
- Syntax highlighting.
- Cover image for each post (with Responsive image support).

## Installation

Install Hugo and create a new site. See [the Hugo documentation](https://gohugo.io/getting-started/quick-start/) for details.

```
hugo new site <name of site>
cd <name of site>
git init
git submodule add https://github.com/binokochumolvarghese/lightbi-hugo themes/lightbi-hugo
echo "theme = 'lightbi-hugo'" >> config.toml
hugo server
```

After the above copy the contents of `exampleSite` to the `content` folder in your website.

## Wiki

Checkout the [wiki](https://github.com/binokochumolvarghese/lightbi-hugo/wiki) page for detailed documentation of the theme features.

## Support & Contribution
- Star 🌟 this repository.
- Help to spread the word about Hugo Lightbi by sharing it on social media and recommending it to your friends.
- Bug reports & issues: [Use GitHub Issues](https://github.com/binokochumolvarghese/lightbi-hugo/issues/new).
- Ideas for new features: Open a discussion on [GitHub Discussions](https://github.com/binokochumolvarghese/lightbi-hugo/discussions).
- General questions: Head to [GitHub Discussions](https://github.com/binokochumolvarghese/lightbi-hugo/discussions).

## Credits

- [Beautiful Hugo](https://github.com/halogenica/beautifulhugo) from which Lightbi was forked.
- [Unsplash](https://unsplash.com/) for Images.

## About

This is an adaptation of the [Beautiful Hugo](https://github.com/halogenica/beautifulhugo) by [Michael Romero](https://github.com/halogenica). It supports most of the features of the original theme, and many new features. It has diverged from the original theme over time, with several updates.

## License

MIT Licensed, see [LICENSE](https://github.com/binokochumolvarghese/lightbi-hugo/blob/master/LICENSE).

